<?php
define('_IN_JOHNCMS', 1);
$headmod = 'stickers';
$textl = 'Стикеры';
$rootpath = '../../';
require_once ($rootpath."incfiles/core.php");
require_once ($rootpath."incfiles/head.php");
if (!$user_id) {
echo 'Только для зарегистрированных посетителей';
require_once ($rootpath.'incfiles/end.php');
    exit;
}

switch ($_GET['go']) {
default:
echo '<div class="phdr">Выберите себе Стикер</div>';
if($datauser['points'] <100){
echo '<b><span class="red">Вашего баланса: '.$datauser['points'].' не хватит на покупку стикера!</span></b><br/>';
}
echo '<div class="list2">';

$array = glob('stickers/*.png');
$total = count($array);
$end = $start + $kmess;
if ($end > $total) $end = $total;
for ($i = $start; $i < $end; $i++) {
$zn = preg_replace('#^stickers/(.*?).png$#isU', '$1', $array [$i], 1);
echo '<a href="?go=yes&amp;zn='.$zn.'"><img src="' . $array[$i] . '" alt="" style="width:35px" class="img_border" /></a>';
}
echo '<div class="sub">Стоимость стикера 100 баллов<br/>Стикер будет украшать вашу анкету целую неделю.</div></div>';
        if ($total > $kmess)
        {
        // Навигация по страницам
echo '<div class="topmenu">' . functions::display_pagination('?', $start, $total, $kmess) . '</div>';
}
echo'<div class="phdr">'.$lng['total'].': '.$total.'</div>';
break;
case 'yes':
echo'<div class="phdr">Подтверждение выбора</div>';
if(file_exists('stickers/'.intval($_GET['zn']).'.png')){
echo ($datauser['points'] >100 ? '<div class="gmenu">Ваш баланс:<b> '.$datauser['points'].'</b></div>' : '<div class="rmenu">Ваш баланс:<b> '.$datauser['points'].'</b></div>');
echo '<div class="list1" style="text-align:center"><b>Стоимость стикера 100 баллов<br/>Стикер будет украшать вашу анкету целую неделю.</b><br /><img src="stickers/'.intval($_GET['zn']).'.png" alt="" /></div>';
echo ($datauser['points'] >100 ? '<div class="gmenu" style="text-align:center"><a href="?go=go&amp;zn='.intval($_GET['zn']).'"><b>[ КУПИТЬ ]</b></a></div>' : '<div class="rmenu">У вас не хватает средств</div>');
} else echo '<div class="rmenu">Ошибка! Такого стикера нет.</div>';
echo '<div class="phdr"><a href="'.htmlspecialchars($_SERVER['HTTP_REFERER']).'">Hазад</a></div>';
break;
case 'go':
if ($_GET['zn'] && ($datauser['points'] >100) && file_exists('stickers/'.intval($_GET['zn']).'.png')) {
$stickers = mysql_fetch_array(mysql_query("SELECT * FROM `stick_true` WHERE `user_id` = '".$user_id."'"));
if (!isset($stickers['user_id'])) mysql_query("INSERT INTO `stick_true` SET `user_id` = '".$user_id."'");
mysql_query("UPDATE `stick_true` SET `stick_id` = '".intval($_GET['zn'])."', `time` = '".time()."' WHERE `user_id` = '".$user_id."'");
mysql_query("UPDATE `users` SET `points` = `points`-100 WHERE `id` = '".$user_id."'");
}
@header ("Location: /users/profile.php");
break;
}

require_once ($rootpath."incfiles/end.php");
?>
